RK-J - Task #1841

[3 Subjects] Canonical URL should not be hardcoded
11/02/2021 08:32 AM - Ram Kordale

Status: Closed Start date: 11/02/2021
Priority: High Due date: 03/10/2022
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 2.00 hours
Target version: 1-RK-J-1 Spent time: 8.50 hours
Description

Regardless of how we land up on a page, the canonical url should contain "<subjectName>*". Today, it is hardcoded to "python-3*".
One exception:for Whirlwind book, please hardcode it to python-3* so that we do not have to make Google crawl all our whirlwind
book pages again.

History

#1 - 11/02/2021 08:36 AM - Ram Kordale
- Subject changed from Canonical URL should not be hardcoded to [Beyond Python] Canonical URL should not be hardcoded

#2 - 11/03/2021 06:01 AM - Ram Kordale
- Subject changed from [Beyond Python] Canonical URL should not be hardcoded to [3 Subjects] Canonical URL should not be hardcoded

#3 - 11/08/2021 12:47 PM - Ayush Khandelwal

- Due date set to 11/09/2021

- Assignee changed from Ayush Khandelwal to Rishabh Sharma
- Estimated time set to 2.00 h

#4 - 11/08/2021 01:17 PM - Rishabh Sharma

- Status changed from New to In Progress
#5 - 11/10/2021 02:26 PM - Rishabh Sharma
Approaches tried (did not work)-

1. subscribing to subjectEmitter (emitted by website-search.component.ts) event INSIDE router.event.subscribe (this subscription was already present
and settting canonical was working perfect) and then update tag accordingly when event is emitted.

2.without using any subscription or event , setting the canonical inside website-search.component.ts file just after we fetch books.

3.change the code of link service (green tick answer) and tried directive (last answer) of the document
https://stackoverflow.com/questions/50737862/how-to-add-canonical-link-in-angular-5

4 tried console.log() statements in ssr commands to know the difference when it is working (previous working code) and when it is not working.

helpful Url- https:/github.com/angular/angular/issues/15776

#6 - 11/10/2021 02:48 PM - Rishabh Sharma

some findings-

while updating canonical link tag using function (lets call it UpdateSubject(fakeSubject:string)) with fake hardcoded subject (so no subscription or
event emitter needed) from the website-search.component.ts using link service, | found that if | put updateSubject() inside constructor or ngOninit of
website-search.component.ts, it shows effect in view page source, but If | put the same function somewhere else (like after getBooks() or inside
getBooks() or inside onSelectBook()), it does not shows effect in view page source, but in inspect element, we can see change.

#7 - 11/15/2021 06:02 AM - Rishabh Sharma
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#8 - 11/15/2021 08:12 AM - Rishabh Sharma

- Status changed from Resolved to Feedback
- Assignee changed from Rishabh Sharma to Ayush Khandelwal

#9 - 03/10/2022 12:14 PM - Ayush Khandelwal

Whirlwind book:
https://edutestga.appspot.com/document/python-book-whirlwind-tour?documentURL=10054%2F prd%2FWhirlwind TourOfPython%2F 06-built-in-data-
structures-Lists-35.html

Tutorial book:

#10 - 03/10/2022 12:15 PM - Ayush Khandelwal

Pandas development:

https://edutestqa.appspot.com/document/pandas-development?documentURL=10066%2Fpk200ct21%2Fdocs%2Fdevelopment%2Fcontributing_doc
string-Parameter-types-35.html

#11 - 03/10/2022 12:18 PM - Ayush Khandelwal

- Due date changed from 11/09/2021 to 03/10/2022

- Status changed from Feedback to Reopened

- Assignee changed from Ayush Khandelwal to Rishabh Sharma
- % Done changed from 100 to 50

Canonical url is not present on QA

#12 - 03/10/2022 01:39 PM - Rishabh Sharma

- Status changed from Reopened to In Progress

#13 - 03/10/2022 02:10 PM - Rishabh Sharma
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#14 - 03/21/2022 09:10 AM - Rishabh Sharma
- Status changed from Resolved to Feedback

- Assignee changed from Rishabh Sharma to Ayush Khandelwal

#15 - 10/12/2022 08:02 AM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale

Working as expected

#16 - 03/28/2023 11:27 AM - Ram Kordale
- Status changed from Feedback to Closed
